org.apache.commons.lang3.function

## Interface FailableBiPredicate<T,U,E extends Throwable>

- Type Parameters:
    `T` - Predicate type 1.
    `U` - Predicate type 2.
    `E` - Thrown exception.
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface FailableBiPredicate<T,U,E extends Throwable>

  A functional interface like `BiPredicate` that declares a `Throwable`.
  Since:
    3.11

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FailableBiPredicate` | `FALSE` FALSE singleton
    `static FailableBiPredicate` | `TRUE` TRUE singleton

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default FailableBiPredicate<T,U,E>` | `and(FailableBiPredicate<? super T,? super U,E> other)` Returns a composed `FailableBiPredicate` like `BiPredicate.and(BiPredicate)`.
    `static <T,U,E extends Throwable> FailableBiPredicate<T,U,E>` | `falsePredicate()` Returns The FALSE singleton.
    `default FailableBiPredicate<T,U,E>` | `negate()` Returns a predicate that negates this predicate.
    `default FailableBiPredicate<T,U,E>` | `or(FailableBiPredicate<? super T,? super U,E> other)` Returns a composed `FailableBiPredicate` like `BiPredicate.and(BiPredicate)`.
    `boolean` | `test(T object1, U object2)` Tests the predicate.
    `static <T,U,E extends Throwable> FailableBiPredicate<T,U,E>` | `truePredicate()` Returns The FALSE TRUE.

- - ### Field Detail

    - #### FALSE

          static final FailableBiPredicate FALSE

      FALSE singleton

    - #### TRUE

          static final FailableBiPredicate TRUE

      TRUE singleton

  - ### Method Detail

    - #### falsePredicate

          static <T,U,E extends Throwable> FailableBiPredicate<T,U,E> falsePredicate()

      Returns The FALSE singleton.
      Type Parameters:
        `T` - Consumed type 1.
        `U` - Consumed type 2.
        `E` - Thrown exception.
      Returns:
        The NOP singleton.

    - #### truePredicate

          static <T,U,E extends Throwable> FailableBiPredicate<T,U,E> truePredicate()

      Returns The FALSE TRUE.
      Type Parameters:
        `T` - Consumed type 1.
        `U` - Consumed type 2.
        `E` - Thrown exception.
      Returns:
        The NOP singleton.

    - #### and

          default FailableBiPredicate<T,U,E> and(FailableBiPredicate<? super T,? super U,E> other)

      Returns a composed `FailableBiPredicate` like `BiPredicate.and(BiPredicate)`.
      Parameters:
        `other` - a predicate that will be logically-ANDed with this predicate.
      Returns:
        a composed `FailableBiPredicate` like `BiPredicate.and(BiPredicate)`.
      Throws:
        `NullPointerException` - if other is null

    - #### negate

          default FailableBiPredicate<T,U,E> negate()

      Returns a predicate that negates this predicate.
      Returns:
        a predicate that negates this predicate.

    - #### or

          default FailableBiPredicate<T,U,E> or(FailableBiPredicate<? super T,? super U,E> other)

      Returns a composed `FailableBiPredicate` like `BiPredicate.and(BiPredicate)`.
      Parameters:
        `other` - a predicate that will be logically-ORed with this predicate.
      Returns:
        a composed `FailableBiPredicate` like `BiPredicate.and(BiPredicate)`.
      Throws:
        `NullPointerException` - if other is null

    - #### test

          boolean test(T object1,
                       U object2)
                throws E extends Throwable

      Tests the predicate.
      Parameters:
        `object1` - the first object to test the predicate on
        `object2` - the second object to test the predicate on
      Returns:
        the predicate's evaluation
      Throws:
        `E` - Thrown when this predicate fails.
        `E extends Throwable`

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.